package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * CreateAutoCheckResInfo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class CreateAutoCheckResInfo   {
  @JsonProperty("autoCheckId")
  private String autoCheckId;

  public CreateAutoCheckResInfo autoCheckId(String autoCheckId) {
    this.autoCheckId = autoCheckId;
    return this;
  }

  /**
   * AutoCheck ID
   * @return autoCheckId
  */
  @ApiModelProperty(value = "AutoCheck ID")


  public String getAutoCheckId() {
    return autoCheckId;
  }

  public void setAutoCheckId(String autoCheckId) {
    this.autoCheckId = autoCheckId;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    CreateAutoCheckResInfo createAutoCheckResInfo = (CreateAutoCheckResInfo) o;
    return Objects.equals(this.autoCheckId, createAutoCheckResInfo.autoCheckId);
  }

  @Override
  public int hashCode() {
    return Objects.hash(autoCheckId);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class CreateAutoCheckResInfo {\n");
    
    sb.append("    autoCheckId: ").append(toIndentedString(autoCheckId)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

